import {Component, OnInit} from '@angular/core';
import {BaseComponent} from '../openaireLibrary/sharedComponents/base/base.component';
import {ActivatedRoute, Router} from '@angular/router';
import {SEOService} from '../openaireLibrary/sharedComponents/SEO/SEO.service';
import {PiwikService} from '../openaireLibrary/utils/piwik/piwik.service';
import {Meta, Title} from '@angular/platform-browser';
import {LogService} from "../openaireLibrary/utils/log/log.service";

@Component({
  selector: 'public-logs',
  template: `
<div class="uk-container uk-container-large uk-margin-top">
  <h3>Public logs</h3>
  
      <ul class="uk-tab " uk-switcher>
        <li><a href="#">Dashboard</a></li>
        <!-- <li><a href="#">Linking</a></li>
         <li><a href="#">ORCID Claim</a></li>
         <li><a href="#">Upload DOIs</a></li>-->
        <li><a href="#">OpenOrgs</a></li>
        <li><a href="#"> Web stats from Matomo</a></li>
      </ul>
      <ul class="uk-switcher uk-margin">
        <li>
          
<!--          <ng-container *ngTemplateOutlet="formattedLogs; context: { logs: claimsLogs}"></ng-container>-->
          <div>

            National Open Access Monitor - Ireland, creates public logs when users uploas dois, claim links to research outputs or claim a research output to their ORCID profile.<br>
            
          </div>
          <div>Get monthly logs for Dashboard:</div>

          <ul class="uk-list">
            <ng-container *ngFor="let year of years ">
              <ng-container *ngFor="let month of months ">
                <ng-container *ngIf="(year == today.getFullYear() && month <= today.getMonth()+1 &&  month >= startDate.getMonth()+1) || (year >startDate.getFullYear() || year < today.getFullYear()) ">
                  <li>
                    <a [href]="properties.logServiceUrl + 'public-logs/' + year + '/' + month " target="_blank"> {{month}}/{{year}}</a>
                  </li>
                </ng-container>
              </ng-container>
            </ng-container>
          </ul>        </li>
        
        <li>
          <div>Get monthly logs for OpenOrgs:</div>
          <ul class="uk-list">
            <ng-container *ngFor="let year of years ">
              <ng-container *ngFor="let month of months ">
                <ng-container *ngIf="(year == today.getFullYear() && month <= today.getMonth()+1 &&  month >= startDate.getMonth()+1) || (year >startDate.getFullYear() || year < today.getFullYear()) ">                  <li>
                  <li>
                    <a [href]="properties.openOrgsUrl + '/public-api/logs/' + year + '/' + month+ '/IE' " target="_blank"> {{month}}/{{year}}</a>
                  </li>
                </ng-container>
              </ng-container>
            </ng-container>
          </ul>
        </li>
        <li> 
          <div class="uk-alert uk-alert-warning">Coming soon!</div>
<!--        <a target="_blank" href="https://beta.analytics.openaire.eu/index.php?apiAction=get&apiModule=API&date=2022-01-01,2023-12-31&expanded=1&filter_limit=-1&force_api_session=1&format=JSON&format_metrics=1&idSite=407&method=API.getProcessedReport&module=API&period=month&token_auth=anonymous"> View Matomo logs</a>-->
        </li>
      </ul>
   
</div>
    <ng-template #formattedLogs let-logs="logs">
      <div *ngIf="logs && logs.length > 0" class="uk-text-meta "> Viewing last  {{logs.length}} actions.</div>
      <div *ngIf="!logs || logs.length == 0" class="uk-text-meta "> No logs yet.</div>
      <div *ngFor="let log of logs">
        On {{log.date | date: 'd/M/yyyy, hh:mm':'GMT'  }} {{log.message}}
      </div>
      
    </ng-template>
    
  `
})
export class PublicLogsComponent extends BaseComponent implements OnInit {
  isConsent = false;
  redirectUrl = null;
  startDate = new Date();
  today = new Date();
  months = [];
  years = [];
  constructor(protected _router: Router,
              protected _route: ActivatedRoute,
              protected seoService: SEOService,
              protected _piwikService: PiwikService,
              protected _title: Title,
              protected _meta: Meta,
              private _logService:LogService) {
    super();
    this.startDate.setFullYear(2023,11,1)
    this.months = Array.from({ length:12  }, (_, index) => 12 - index);
    this.years = Array.from({ length:this.today.getFullYear() + 1 - this.startDate.getFullYear()  }, (_, index) => this.today.getFullYear() - index);
  }

  ngOnInit() {
    this.title = 'Public logs';
    this.description = 'Public logs of user actions in OA monitor - Ireland';
    this.setMetadata();
  }
}
