import {Portal} from "../openaireLibrary/utils/entities/adminTool/portal";
import {StakeholderConfiguration} from "../openaireLibrary/monitor-admin/utils/indicator-utils";
import {LayoutService} from "../openaireLibrary/dashboard/sharedComponents/sidebar/layout.service";
import {Role} from "../openaireLibrary/login/utils/helper.class";

export class Irish {
  public static METADATA_PREFIX = '';

  public portal: Portal = Portal.getMockCommunityInfo("noami", "Noami",['service'],['/search/advanced/services', '/search/find/services']);

  constructor() {
    StakeholderConfiguration.ENTITIES.stakeholder = 'Monitor';
    StakeholderConfiguration.ENTITIES.stakeholders  = 'Monitors';
    StakeholderConfiguration.ENTITIES.funder  = 'RFO';
    StakeholderConfiguration.ENTITIES.funders  = 'RFOs';
    StakeholderConfiguration.ENTITIES.organization = 'RPO';
    StakeholderConfiguration.ENTITIES.organizations = 'RPOs';
    StakeholderConfiguration.ENTITIES.datasource = 'Repository';
    StakeholderConfiguration.ENTITIES.datasources = 'Repositories';

    StakeholderConfiguration.TYPES = [
      {value: 'funder', label: StakeholderConfiguration.ENTITIES.funder},
      {value: 'organization', label: StakeholderConfiguration.ENTITIES.organization},
      {value: 'country', label: StakeholderConfiguration.ENTITIES.country},
      {value: 'datasource', label: StakeholderConfiguration.ENTITIES.datasource}
    ];

    StakeholderConfiguration.FUNDER_TYPES = [
        {value: null, label: 'None'},
        {value: 'private', label: 'Private'},
        {value: 'government', label: 'Government'}
    ];

    StakeholderConfiguration.VISIBILITIES = [
      {icon: 'earth', value: "PUBLIC", label: 'Public'},
    ];

    StakeholderConfiguration.CACHE_INDICATORS = false;

    LayoutService.HEADER_HEIGHT = '60px';

    Role.GROUP = 'irish.';
  }

}
