import {EnvProperties} from "../app/openaireLibrary/utils/properties/env-properties";
import {
  common,
  commonProd
} from "../app/openaireLibrary/utils/properties/environments/environment";

let props: EnvProperties = {
  monitorServiceAPIURL: "https://services.openaire.eu/irish-monitor-service/",
  monitorStatsFrameUrl:"https://beta.services.openaire.eu/stats-tool/",
  piwikSiteId: "787",
  enablePiwikTrack: true,
  adminToolsPortalType: 'irish',
  adminToolsCommunity: 'irish',
  domain: "https://oamonitor.ireland.openaire.eu",
  logServiceUrl: "https://oamonitor.ireland.openaire.eu/",
  logFilesPath: "/srv/static/nodejs/irish-monitor-action-logs/",
  myClaimsLink:"/participate/myclaims",
  loginServiceURL: ["https://services.openaire.eu/irish-monitor-service/", <string>commonProd.loginServiceURL],
  afterLoginRedirectLink: "/user-policy",
  admins: ['oamonitor.ireland@openaire.eu'],
  useHelpTexts: false
}


export let properties: EnvProperties = {
  ...common, ...commonProd, ...props
}
